﻿:root {
    --red_dark: #7f0909;
    --white: #fff;
    --dark: #737373;
}

html {
    font-size: 82.5%;
}

body {
    font-family: 'Vazirmatn';
    background-color: #f1f1f1;
}

footer {
    background: linear-gradient(to bottom, #7f0909, #de3636);
}

.c_red_dark {
    color: var(--red_dark);
}

.c_white {
    color: var(--white);
}

c_dark {
    color: var(--dark);
}

.bc_red_dark {
    background-color: var(--red_dark);
}

.bc_white {
    background-color: var(--white);
}

.bc_dark {
    background-color: var(--dark);
}


.image-overlay-container {
    position: relative;
}

.overlay-text {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.6); /* ساده، بدون گرادیانت */
    padding: 15px;
}


/*#region اصلاحات بوتسترپ
*/

.nav-link {
    color: var(--white);
}

.dropdown-menu, .offcanvas-body {
    background-color: var(--red_dark);
}

.nav-link:hover, .nav-link:active, .nav-link:focus {
    color: #b0b0b0;
}

@media (min-width: 992px) {
    .navbar-nav .dropdown:hover .dropdown-menu {
        display: block;
        margin-top: 0;
    }

    .dropend:hover .dropdown-menu {
        display: block;
        position: absolute;
        top: 0;
        right: 100%;
    }
}

@media (min-width: 992px) {
    .sticky-desktop {
        position: sticky;
        top: 0;
        z-index: 1020;
    }

    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: 90%;
    }
}

@media (min-width: 1400px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: 90%;
    }
}
/*#endregion */

/*#region اصلاحات سویپر */

.swiper-button-next,
.swiper-button-prev {
    color: var(--red_dark); /* رنگ دلخواه تو */
}

.swiper-slide .position-relative {
    position: relative;
}

.swiper-caption {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 30px 15px 15px 15px;
    background: linear-gradient(to top, rgba(0,0,0,0.8) 0%, rgba(0,0,0,0) 100%);
    border-radius: 0 0 8px 8px;
}

    .swiper-caption h6 {
        font-size: 1rem;
        line-height: 1.4;
        text-shadow: 1px 1px 2px rgba(0,0,0,0.5);
    }



/*#endregion */




.custom-scroll {
    overflow-y: auto;
    direction: ltr;
}
    .custom-scroll > * {
        direction: rtl;
    }

    .custom-scroll::-webkit-scrollbar {
        width: 4px;
        position: absolute;
        right: 0px;
    }

    .custom-scroll::-webkit-scrollbar-track {
        background: #e0e0e0;
        border-radius: 4px;
    }

    .custom-scroll::-webkit-scrollbar-thumb {
        background: var(--red_dark);
        border-radius: 4px;
    }

.toast {
    padding: 15px 18px;
    font-size: 15px;
    line-height: 1.7;
    border-radius: 10px;
    display: flex;
    align-items: center;
    gap: 12px;
}







